﻿using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WinForms = System.Windows.Forms;

namespace Věž_z_Lega
{
    /// <summary>
    /// Interakční logika pro MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            WinForms.FolderBrowserDialog fbd = new WinForms.FolderBrowserDialog();
            WinForms.DialogResult result = fbd.ShowDialog();

            switch (result)
            {
                case WinForms.DialogResult.OK:
                    DirectoryInfo di = new DirectoryInfo(fbd.SelectedPath);
                    FileInfo[] files = di.GetFiles("*.in");
                    var orderedFiles = files.OrderBy(f => f.Name);

                    List<BuildingPlan> plans = new List<BuildingPlan>();

                    foreach (var file in orderedFiles)
                    {
                        plans.Add(new BuildingPlan(file.OpenRead(), file.Name.Split('.')[0], file.Directory.FullName));
                    }
                    break;
                default:
                    MessageBox.Show("Žádná složka nebyla vybrána. Program bude nyní ukončen.");
                    break;
            }

            this.Close();
        }
    }
}
